build(linux): make it build (#1916)

This commit is contained in:
Baptiste Augrain 2024-06-06 16:54:10 +02:00 committed by GitHub
parent a7c7014502
commit a652d7a26b
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
6 changed files with 17 additions and 9 deletions

View File

@ -86,7 +86,7 @@ jobs:
- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
node-version: '20.12'
node-version: '18.17'
if: env.SHOULD_BUILD == 'yes'
- name: Install Yarn
@ -264,7 +264,7 @@ jobs:
- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
node-version: '20.12'
node-version: '18.17'
- name: Setup Python 3
uses: actions/setup-python@v5

View File

@ -85,7 +85,7 @@ jobs:
- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
node-version: '20.12'
node-version: '18.17'
if: env.SHOULD_BUILD == 'yes'
- name: Install Yarn
@ -263,7 +263,7 @@ jobs:
- name: Setup Node.js environment
uses: actions/setup-node@v4
with:
node-version: '20.12'
node-version: '18.17'
- name: Setup Python 3
uses: actions/setup-python@v5

View File

@ -12,14 +12,12 @@ tar -xzf ./vscode.tar.gz
cd vscode || { echo "'vscode' dir not found"; exit 1; }
export VSCODE_PLATFORM='alpine'
export VSCODE_SKIP_NODE_VERSION_CHECK=1
VSCODE_HOST_MOUNT="$( pwd )"
export VSCODE_HOST_MOUNT
VSCODE_REMOTE_DEPENDENCIES_CONTAINER_NAME="vscodium/vscodium-linux-build-agent:alpine-${VSCODE_ARCH}"
export VSCODE_REMOTE_DEPENDENCIES_CONTAINER_NAME
export VSCODE_HOST_MOUNT VSCODE_REMOTE_DEPENDENCIES_CONTAINER_NAME
for i in {1..5}; do # try 5 times
yarn --frozen-lockfile --check-files && break

View File

@ -40,7 +40,7 @@ done
./build/azure-pipelines/linux/setup-env.sh
for i in {1..5}; do # try 5 times
yarn --frozen-lockfile --check-files && break
yarn --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View File

@ -17,6 +17,7 @@ if [[ "${VSCODE_ARCH}" == "ppc64le" ]]; then
fi
export VSCODE_PLATFORM='linux'
export VSCODE_SKIP_NODE_VERSION_CHECK=1
export VSCODE_SYSROOT_PREFIX="-glibc-${GLIBC_VERSION}"
VSCODE_HOST_MOUNT="$( pwd )"

View File

@ -0,0 +1,9 @@
diff --git a/package.json b/package.json
index fc7e1dd..bc0a020 100644
--- a/package.json
+++ b/package.json
@@ -135,3 +135,3 @@
"@vscode/gulp-electron": "^1.36.0",
- "@vscode/l10n-dev": "0.0.35",
+ "@vscode/l10n-dev": "0.0.30",
"@vscode/telemetry-extractor": "^1.10.2",